Subject: bug#75464: Package thefuck is broken

From: John Kehayias <[email-masked]>
Date: Fri, 10 Jan 2025 21:43:29 +0000

Hi Andrew

On Thu, Jan 09, 2025 at 10:43 AM, Andrew Stubbs wrote:

[...]
> =========================== short test summary info ============================
> FAILED tests/test_utils.py::TestGetValidHistoryWithoutCurrent::test_get_valid_history_without_current[le cat-result0]
> FAILED tests/test_utils.py::TestGetValidHistoryWithoutCurrent::test_get_valid_history_without_current[diff x-result1]
> FAILED tests/test_utils.py::TestGetValidHistoryWithoutCurrent::test_get_valid_history_without_current[fuck-result2]
> FAILED tests/test_utils.py::TestGetValidHistoryWithoutCurrent::test_get_valid_history_without_current[cafe \xf4-result3]
>
> =================================== FAILURES ===================================
[...]

I noticed this as well recently, thanks for reporting. I think this is
the upstream issue: <https://github.com/nvbn/thefuck/issues/1438>.
Unfortunately there's been no activity there or on the project in
general (for a year). I guess we could disable just those tests and link
to the upstream issue, would you like to take a stab at a patch?

John